Advisory Details

January 29th, 2019

(0Day) Wecon LeviStudioU screendata LaIndexID/TextContent Heap-based Buffer Overflow Remote Code Execution Vulnerability

ZDI-19-146
ZDI-CAN-6493

CVE ID CVE-2019-6539
CVSS SCORE 9.3, (AV:N/AC:M/Au:N/C:C/I:C/A:C)
AFFECTED VENDORS Wecon
AFFECTED PRODUCTS LeviStudio
VULNERABILITY DETAILS


This vulnerability allows remote attackers to execute arbitrary code on vulnerable installations of Wecon LeviStudioU. User interaction is required to exploit this vulnerability in that the target must visit a malicious page or open a malicious file.

The specific flaw exists within the handling of HSC files. When parsing the LaIndexID and TextContent attributes, the process does not properly validate the length of user-supplied data prior to copying it to a fixed-length heap-based buffer. An attacker can leverage this vulnerability to execute code under the context of Administrator.

ADDITIONAL DETAILS


This vulnerability is being disclosed publicly without a patch in accordance with the ZDI 120 day deadline.

07/12/18 - ZDI provided the report to ICS-CERT
07/16/18 - ICS-CERT provided an ICS-VU# and confirmed delivery to the vendor
11/15/18 - ZDI requested any update from ICS-CERT
11/26/18 - ZDI requested any update from ICS-CERT
12/07/18 - ZDI requested any update from ICS-CERT
01/09/19 - ZDI advised ICS-CERT of the intention to 0-day publish
01/25/19 - ZDI telephoned ICS-CERT to discuss status and 0-day publish

-- Mitigation:
Given the nature of the vulnerability the only salient mitigation strategy is to restrict interaction with the application to trusted files.


DISCLOSURE TIMELINE
  • 2018-07-12 - Vulnerability reported to vendor
  • 2019-01-29 - Coordinated public release of advisory
  • 2019-02-12 - Advisory Updated
CREDIT Natnael Samson(Natti)
BACK TO ADVISORIES